Package org.eclipse.viatra.query.patternlanguage.emf.util

## Class AdvancedPatternParsingResults

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.AdvancedPatternParsingResults

-     public class AdvancedPatternParsingResults
      extends java.lang.Object

  Contains the results of the `AdvancedPatternParser` operations.
  Since:
    2.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AdvancedPatternParsingResults()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<IQuerySpecification<?>>` | `getAddedSpecifications()` | Returns a `Collection` of `IQuerySpecification` objects that have been added to the cache.
    `java.util.Collection<IQuerySpecification>` | `getAddedSpecifications​(org.eclipse.emf.common.util.URI uri)` | Returns a `Collection` of `IQuerySpecification` objects that have been added to the cache, which originate from the same `URI`
    `java.util.Collection<IQuerySpecification<?>>` | `getErroneousSpecifications()` |
    `java.util.Collection<IQuerySpecification<?>>` | `getImpactedSpecifications()` | Returns a `Collection` of `IQuerySpecification` objects that have been updated as a side effect of an 'update', 'add' or 'remove' operation.
    `java.util.Collection<IQuerySpecification<?>>` | `getImpactedSpecifications​(org.eclipse.emf.common.util.URI uri)` | Returns a `Collection` of `IQuerySpecification` objects that have been updated as a side effect of an 'update', 'add' or 'remove' operation, and originate from the same `URI`.
    `java.util.Collection<IQuerySpecification<?>>` | `getRemovedSpecifications()` | Returns a `Collection` of `IQuerySpecification` objects that have been removed from the cache via a direct 'remove' operation.
    `java.util.Collection<IQuerySpecification<?>>` | `getRemovedSpecifications​(org.eclipse.emf.common.util.URI uri)` | Returns a `Collection` of `IQuerySpecification` objects that have been removed from the cache via a direct 'remove' operation, and originate from the same `URI`
    `java.util.Collection<IQuerySpecification<?>>` | `getUpdatedSpecifications()` | Returns a `Collection` of `IQuerySpecification` objects that have been updated via a direct 'update' operation.
    `java.util.Collection<IQuerySpecification<?>>` | `getUpdatedSpecifications​(org.eclipse.emf.common.util.URI uri)` | Returns a `Collection` of `IQuerySpecification` objects that have been updated via a direct 'update' operation, and originate from the same `URI`.
    `com.google.common.collect.Multimap<org.eclipse.emf.common.util.URI,​IQuerySpecification<?>>` | `getUriMap()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedPatternParsingResults

          protected AdvancedPatternParsingResults()

  - ### Method Detail

    - #### getUriMap

          public com.google.common.collect.Multimap<org.eclipse.emf.common.util.URI,​IQuerySpecification<?>> getUriMap()

    - #### getAddedSpecifications

          public java.util.Collection<IQuerySpecification<?>> getAddedSpecifications()

      Returns a `Collection` of `IQuerySpecification` objects that have been added to the cache.

    - #### getAddedSpecifications

          public java.util.Collection<IQuerySpecification> getAddedSpecifications​(org.eclipse.emf.common.util.URI uri)

      Returns a `Collection` of `IQuerySpecification` objects that have been added to the cache, which originate from the same `URI`

    - #### getUpdatedSpecifications

          public java.util.Collection<IQuerySpecification<?>> getUpdatedSpecifications()

      Returns a `Collection` of `IQuerySpecification` objects that have been updated via a direct 'update' operation.

    - #### getUpdatedSpecifications

          public java.util.Collection<IQuerySpecification<?>> getUpdatedSpecifications​(org.eclipse.emf.common.util.URI uri)

      Returns a `Collection` of `IQuerySpecification` objects that have been updated via a direct 'update' operation, and originate from the same `URI`.

    - #### getRemovedSpecifications

          public java.util.Collection<IQuerySpecification<?>> getRemovedSpecifications()

      Returns a `Collection` of `IQuerySpecification` objects that have been removed from the cache via a direct 'remove' operation.

    - #### getRemovedSpecifications

          public java.util.Collection<IQuerySpecification<?>> getRemovedSpecifications​(org.eclipse.emf.common.util.URI uri)

      Returns a `Collection` of `IQuerySpecification` objects that have been removed from the cache via a direct 'remove' operation, and originate from the same `URI`

    - #### getImpactedSpecifications

          public java.util.Collection<IQuerySpecification<?>> getImpactedSpecifications()

      Returns a `Collection` of `IQuerySpecification` objects that have been updated as a side effect of an 'update', 'add' or 'remove' operation.

    - #### getImpactedSpecifications

          public java.util.Collection<IQuerySpecification<?>> getImpactedSpecifications​(org.eclipse.emf.common.util.URI uri)

      Returns a `Collection` of `IQuerySpecification` objects that have been updated as a side effect of an 'update', 'add' or 'remove' operation, and originate from the same `URI`.

    - #### getErroneousSpecifications

          public java.util.Collection<IQuerySpecification<?>> getErroneousSpecifications()